--- title: "List custom fields for cases" slug: "list-custom-fields-for-cases" updated: 2025-08-06T13:07:46Z published: 2025-08-06T13:07:46Z canonical: "developers.torq.io/list-custom-fields-for-cases" --- > ## Documentation Index > Fetch the complete documentation index at: https://developers.torq.io/llms.txt > Use this file to discover all available pages before exploring further. # List custom fields for cases Get/v1alpha/cases/custom_fields Returns the custom fields applicable to the specified cases. SecurityHTTPType bearer Query parametersfilter.case_idsarray of integer The IDs of the cases to retrieve custom fields for. filter.keysarray of string The keys of the custom fields to retrieve. Responses200 A successful response. Expand Allobject custom_fields Array of object (custom_fieldsv1CustomField) The custom fields for the specified cases. object keystring The key of the custom field. Examplefoo case_idinteger (int32) The ID of the case to which the custom field applies. Example123 valuestring The value of the custom field. Examplebar schemaobject (v1CustomFieldSchema) typestring The custom field type enum. - TYPE_UNSPECIFIED: The custom field value type is unspecified. - TYPE_SHORT_TEXT: The custom field value type is text. - TYPE_NUMBER: The custom field value type is number. - TYPE_BOOLEAN: The custom field value type is boolean. - TYPE_TIMESTAMP: The custom field value type is timestamp. - TYPE_LIST_SINGLE_SELECT: The custom field value type is list single select. Valid values[ "TYPE_UNSPECIFIED", "TYPE_SHORT_TEXT", "TYPE_NUMBER", "TYPE_BOOLEAN", "TYPE_TIMESTAMP", "TYPE_LIST_SINGLE_SELECT" ]Default"TYPE_UNSPECIFIED" short_textobject (CustomFieldSchemaShortTextConstraints) The constraints applied to the custom field value if the type is TYPE_SHORT_TEXT. min_lengthinteger (int32) The minimum length of the custom field value. Example1 max_lengthinteger (int32) The maximum length of the custom field value. Example255 regexstring The regular expression that the custom field value must match. Example^foo$ single_selectobject (CustomFieldSchemaSingleSelectConstraints) The constraints applied to the custom field value if the type is TYPE_LIST_SINGLE_SELECT. allowed_values Array of string The list of acceptable values for the custom field. Example[ "foo", "bar" ]string 401 Invalid bearer token. If you receive this message more than once try creating a new Client ID/Client Secret or generating a new bearer token. object 403 You don't have permission to access this resource. object